Package org.springframework.security.authentication

# Interface ReactiveAuthenticationManager

All Known Implementing Classes:
  `AbstractUserDetailsReactiveAuthenticationManager`, `DelegatingReactiveAuthenticationManager`, `ObservationReactiveAuthenticationManager`, `OneTimeTokenReactiveAuthenticationManager`, `ReactiveAuthenticationManagerAdapter`, `UserDetailsRepositoryReactiveAuthenticationManager`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface ReactiveAuthenticationManager
Determines if the provided `Authentication` can be authenticated.

Since:
  5.0

## Method Summary

Modifier and Type
Method
Description
`reactor.core.publisher.Mono<Authentication>`
`authenticate(Authentication authentication)`
Attempts to authenticate the provided `Authentication`

## Method Details

### authenticate

reactor.core.publisher.Mono<Authentication> authenticate(Authentication authentication)
Attempts to authenticate the provided `Authentication`

Parameters:
  `authentication` - the `Authentication` to test
Returns:
  if authentication is successful an `Authentication` is returned. If authentication cannot be determined, an empty Mono is returned. If authentication fails, a Mono error is returned.